# Return cPanel account's mailing lists

This function lists the account's Mailman mailing lists.

Endpoint: GET /Email/list_lists
Version: 11.138.0.6
Security: BasicAuth

## Query parameters:

  - `domain` (string)
    The domain to query. If you do not use this parameter, the function lists mailing lists for all of the cPanel account's domains.
    Example: "example.com"

  - `regex` (string)
    A Perl Compatible Regular Expression (PCRE) that filters the results.
    Example: "user"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "list_lists"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (array)

  - `result.data.accesstype` (string)
    The level of access that users have to the mailing list.
* private - The list has all of the following settings:
  * The list has private archives.
  * The administrator must approve subscriptions.
  * The Mailman directory page does not display the list.
* public - The list has any of the following settings:
  * The list has public archives.
  * Anyone can subscribe.
  * The Mailman directory page displays the list.
    Enum: "private", "public"

  - `result.data.advertised` (integer)
    Whether the Mailman directory page displays the list.
* 1 - The Mailman directory page displays the list.
* 0 - The Mailman directory page does not display the list.
    Enum: 0, 1

  - `result.data.archive_private` (integer)
    Whether the mailing list archive is private.
* 1 - The mailing list archive is private.
* 0 - The mailing list archive is public.
    Enum: 0, 1

  - `result.data.desthost` (any)
    The IP address or domain name that handles mail for the mailing list's domain.
* A valid hostname.
* An IPv4 address.

Note:

  If the function cannot resolve the IP address to a hostname, it will return the IP address.
    Example: "172.16.254.1"

  - `result.data.diskused` (integer)
    The disk space that the mailing list currently uses, measured in megabytes (MB).
    Example: 20379

  - `result.data.humandiskused` (string)
    The disk space that the mailing list uses, in human-readable format.
    Example: "19.9\\u00a0KB"

  - `result.data.list` (string)
    The mailing list name and domain.
    Example: "list@example.com"

  - `result.data.listadmin` (string)
    The mailing list's administrators' email addresses. A comma-separated list of email addresses.
    Example: "admin@example.com,admin2@example.com"

  - `result.data.listid` (string)
    The mailing list's name and domain. The mailing list name, an underscore (_), and the domain.
    Example: "list_example.com"

  - `result.data.subscribe_policy` (integer)
    The level of control that the mailing list administrator has over new subscribers.
* 1 - Anyone can subscribe. The system sends a confirmation email.
* 2 - The administrator must approve subscriptions. The system does not send a confirmation email.
* 3 - The administrator must approve subscriptions. The system sends a confirmation email.
    Enum: 1, 2, 3

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


